commit:     be9bca3aeee5a738aefa50b2b4e6bf7e8a00a003
Author:     Christopher Fore <csfore <AT> posteo <DOT> net>
AuthorDate: Sun Dec 10 22:10:47 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Dec 12 02:49:23 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be9bca3a

app-crypt/moolticute: add 1.03.0, fix compile on GCC 14

The patch attached fixes compilation on GCC 14 and has been sent
upstream.

Upstream PR: https://github.com/mooltipass/moolticute/pull/1204

Closes: https://bugs.gentoo.org/916994
Signed-off-by: Christopher Fore <csfore <AT> posteo.net>
Closes: https://github.com/gentoo/gentoo/pull/34225
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-crypt/moolticute/Manifest                      |  1 +
 .../files/moolticute-1.03.0-fix-return-type.patch  | 13 ++++
 app-crypt/moolticute/moolticute-1.03.0.ebuild      | 72 ++++++++++++++++++++++
 3 files changed, 86 insertions(+)

diff --git a/app-crypt/moolticute/Manifest b/app-crypt/moolticute/Manifest
index b711c2a05f2b..fb33279877a9 100644
--- a/app-crypt/moolticute/Manifest
+++ b/app-crypt/moolticute/Manifest
@@ -1,2 +1,3 @@
 DIST moolticute-1.00.1.tar.gz 5911062 BLAKE2B 
c3e20d4466c6020842447cb2fa54eee309664e8bbbb52aff8582ff7d333c8e5a9a2d286dace8207f62aacc41e0d9a99b733cfc5788dac72933ae7e15dc91a779
 SHA512 
c1a4ab39abc8360d088f267ae06f69deb135975caaf9224488d5e33127c1a9c1d2c80795d901e83bd13c82f80f1e362acfe59b03ad024b88ef7b8a7d56acd79b
 DIST moolticute-1.01.0.tar.gz 5912712 BLAKE2B 
dd6e22235978424744a6b0791c479c6cf233645a1a3879db6913acfca16ccb49eec45be5e9e2f6ba0f730edec658daa3aba91fcbd0389e734aeab7f89ca7a7ba
 SHA512 
b5998f6739bd095e0ce8a18a9cc576a9f97b6e214b47670e5858937358f35c9dc36c3357b9ff943eabcd4a3feb7179cbc2640888aae8d59481abb41a81527c52
+DIST moolticute-1.03.0.tar.gz 5963926 BLAKE2B 
a5b5f98bb501811891c9ac22754538cd1df21b9cc848cb883d5babad89bb76bb9f9b4c533250b0eedca7a8b79ff44f85e6de1e00cdd6d6220ba61b67958be3fc
 SHA512 
450753c5d7f1e226d9b75b8ab4d61970120a2685d249a637c1323141b73108321b346001d2310558e2365ca842c7a3d5ab2f7773d32b5365d2bb3f937108d186

diff --git a/app-crypt/moolticute/files/moolticute-1.03.0-fix-return-type.patch 
b/app-crypt/moolticute/files/moolticute-1.03.0-fix-return-type.patch
new file mode 100644
index 000000000000..039f2ccb6605
--- /dev/null
+++ b/app-crypt/moolticute/files/moolticute-1.03.0-fix-return-type.patch
@@ -0,0 +1,13 @@
+https://github.com/mooltipass/moolticute/pull/1204
+https://bugs.gentoo.org/916994
+--- a/src/MPDeviceBleImpl.cpp
++++ b/src/MPDeviceBleImpl.cpp
+@@ -735,7 +735,7 @@ bool MPDeviceBleImpl::processReceivedData(const QByteArray 
&data, QByteArray &da
+ {
+     if (data.size() < 2)
+     {
+-        return {0};
++        return {QByteArray::number(0)};
+     }
+     QVector<QByteArray> res;
+     for (int i = 0; i < data.size() - 1; i += 2)

diff --git a/app-crypt/moolticute/moolticute-1.03.0.ebuild 
b/app-crypt/moolticute/moolticute-1.03.0.ebuild
new file mode 100644
index 000000000000..706c83a1a2da
--- /dev/null
+++ b/app-crypt/moolticute/moolticute-1.03.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qmake-utils systemd udev xdg-utils
+
+if [[ ${PV} == 9999* ]]; then
+       EGIT_REPO_URI="https://github.com/mooltipass/moolticute.git";
+       inherit git-r3
+else
+       
SRC_URI="https://github.com/mooltipass/moolticute/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm"
+fi
+
+DESCRIPTION="Mooltipass crossplatform daemon/tools"
+HOMEPAGE="https://github.com/mooltipass/moolticute";
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="systemd"
+
+RDEPEND="
+       >=dev-libs/libusb-1.0.20
+       dev-qt/qtdbus:5
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5
+       dev-qt/qttest:5
+       dev-qt/qtwebsockets:5
+       dev-qt/qtwidgets:5
+       systemd? ( sys-apps/systemd )
+       !systemd? ( sys-apps/systemd-utils )
+"
+BDEPEND="${RDEPEND}
+       dev-qt/linguist-tools:5
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.03.0-fix-return-type.patch
+)
+
+src_prepare() {
+       default
+
+       # Fill version.h with package version
+       if [[ ${PV} != 9999* ]]; then
+               sed -i "s/\"git\"/\"v${PV/_/-}\"/" src/version.h || die
+       fi
+}
+
+src_configure() {
+       eqmake5 PREFIX="/usr" Moolticute.pro
+}
+
+src_install() {
+       emake install INSTALL_ROOT="${D}"
+
+       udev_dorules "${FILESDIR}/50-mooltipass.rules"
+       systemd_dounit systemd/moolticuted.service
+       newinitd "${FILESDIR}/moolticuted.init" moolticuted
+}
+
+pkg_postinst() {
+       udev_reload
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       udev_reload
+       xdg_icon_cache_update
+}

Reply via email to